ServerEvents.recipes(e=> {
    
       //RFtools机器框架
       e.remove({ output: 'rftoolsbase:machine_frame' })
       e.shapeless('rftoolsbase:machine_frame', 
       [ 
           '#industrialforegoing:machine_frame/pity',
       ])
       //无线发射组件-littlelogistics
       e.remove({ output: 'littlelogistics:transmitter_component'})
       e.shapeless('littlelogistics:transmitter_component', 
       [ 
        '#forge:plates/brass',
        'minecraft:redstone_torch',
        'minecraft:smooth_stone_slab',
       ])
       //无线接收组件-littlelogistics
       e.remove({ output: 'littlelogistics:receiver_component'})
       e.shapeless('littlelogistics:receiver_component', 
       [ 
        '#forge:plates/brass',
        'minecraft:redstone_torch',
        'minecraft:smooth_stone_slab',
       ])

       e.remove({ output:'minecraft:cobblestone',type:'create_mechanical_extruder:extruding'})
       e.recipes.createMechanicalExtruderExtruding('12x minecraft:cobblestone',[Fluid.of('minecraft:lava'),Fluid.of('createdieselgenerators:plant_oil')]).requiredBonks(4)
       
       e.replaceInput({mod:'functionalstorage'}, 'minecraft:bucket', 'enderio:pressurized_fluid_tank')
       e.replaceInput({mod:'functionalstorage'}, 'minecraft:gold_ingot', 'nwtc:red_aurum_ingot')
       e.replaceInput({mod:'functionalstorage'}, 'minecraft:diamond', 'create_new_age:overcharged_diamond')
})
  
